Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000220Core InformRules and rulebookspublic2010-07-28 02:222010-10-28 00:30
ReporterAndreas 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityhave not tried
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000220: Compiler trying to handle an error, blames the user for something it wrote itself.
DescriptionWhen writing the code below, two errors are produced, the second one probably appearing because the compiler has omitted the faulty line. However, "You wrote 'end if'" is pretty misleading, as the compiler wrote it.


"Problem. You wrote 'If dooriq has been open for at least one turn begin' : but conditions written in the past tense cannot refer to temporary values, because they have no past. For instance, the name given in a 'repeat...' can't be talked about as having existed before.



--------------------------------------------------------------------------------

Problem. You wrote 'end If' , but the end I was expecting next was 'end repeat', finishing the block you began with 'Repeat with dooriq running through powered not locked open autodoors begin' .

 See the manual: 11.7 > Begin and end"
Minimal Source Text To Reproduce
There is a room.
Every turn:
	Repeat with dooriq running through doors:
		If dooriq has been open for at least one turn:
			Say "asdfasdf".
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000357)
Andreas (reporter)
2010-07-28 02:27

Actually, the error is actually that the compiler tries to close the block with "end if" instead of "end repeat".
(0000358)
EmacsUser (manager)
2010-07-29 12:40

Confirmed, after minor changes to the source code so that it can compile on its own. I cannot replicate the wrongly closed block as an error by itself; it seems to depend on the malformed if.
(0000628)
graham (administrator)
2010-09-29 08:43

Fixed.

- Issue History
Date Modified Username Field Change
2010-07-28 02:22 Andreas New Issue
2010-07-28 02:27 Andreas Note Added: 0000357
2010-07-28 10:21 jmcgrew Status new => acknowledged
2010-07-28 10:21 jmcgrew Product Version => 6E72
2010-07-28 10:21 jmcgrew Description Updated View Revisions
2010-07-28 10:21 jmcgrew Steps to Reproduce Updated View Revisions
2010-07-29 12:40 EmacsUser Note Added: 0000358
2010-07-29 12:40 EmacsUser Status acknowledged => confirmed
2010-07-29 12:40 EmacsUser Steps to Reproduce Updated View Revisions
2010-09-29 08:43 graham Note Added: 0000628
2010-09-29 08:43 graham Status confirmed => resolved
2010-09-29 08:43 graham Resolution open => fixed
2010-09-29 08:43 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker